Package com.apple.foundationdb

## Interface EventKeeper.Event

All Known Implementing Classes:
  `EventKeeper.Events`

Enclosing interface:
  EventKeeper

    public static interface EventKeeper.Event

Marker interface for tracking the specific type of event that occurs, and metadata about said event. Implementations should be sure to provide a quality `equals` and `hashCode`.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default boolean` `isTimeEvent()`
`java.lang.String` `name()`

### Method Detail

#### name

    java.lang.String name()

Returns:
  the name of this event, as a unique string. This name should generally be unique, because it's likely that `EventKeeper` implementations will rely on this for uniqueness.

#### isTimeEvent

    default boolean isTimeEvent()

Returns:
  true if this event represents a timed event, rather than a counter event.